API ReferenceCurrency accounts

Get statement feed for a currency account

POST
/v2/currencyAccounts/{currencyCode}/statement-feed

This API call retrieves a paginated, filterable statement feed (ledger entries) for a given currency account.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

currencyCode*string

Currency code

Query Parameters

accountNumber?string

Client account number

Request Body

application/json

Optional date range, paging, and search filters.

TypeScript Definitions

Use the request body type in TypeScript.

Request body for retrieving the statement feed for a currency account.

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/currencyAccounts/string/statement-feed" \  -H "Content-Type: application/json" \  -d '{}'
{  "batchSize": 0,  "entries": [    {      "balance": 0,      "creditAmount": 0,      "currency": "string",      "dealReference": "string",      "debitAmount": 0,      "details": "string",      "linkedItems": [        "string"      ],      "type": "string",      "valueDate": "2019-08-24"    }  ],  "skip": 0,  "total": 0}
{  "code": 0,  "failureDateTime": "2019-08-24T14:15:22Z",  "longErrorMsg": "string",  "shortErrorMsg": "string",  "traceErrorId": "string",  "typeOfFailure": "MODEL_VALIDATION"}
Empty
Empty
Empty
Get help